import request from "../request"
import { questionApi } from "./type"

export default {
    questionInfoSelectFlQuestionInfo(params: {
        excellIssueName?: string
        excellSort?: number
        liceBus?: '1' | '2'
        liceCar?: '1' | '2'
        liceMoto?: '1' | '2'
        liceTruck?: '1' | '2'
        subject: number
    }): Promise<questionApi.selectSxQuestionInfo> {
        return request({
            params,
            url: "/pc/question/info/selectFlQuestionInfo",
            method: 'get'

        })
    },
    questionInfoQlist(params:{
        classIssueName?:string
        classIssue?:string
        issueValue?:string
        subject:number
        pageNum?:number
        pageSize?:number
    }):Promise<questionApi.selectTestK14QuestionInfoList>{
        return request({
            params,
            url: "/pc/question/info/qlist",
            method: 'get'
        })
    }
}